Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510305 - [xfstests xfs/289]: xfs_growfs should not work on target path under xfs mountpoint
Summary: [xfstests xfs/289]: xfs_growfs should not work on target path under xfs mount...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xfsprogs
Version: 7.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: Filesystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 07:35 UTC by Zorro Lang
Modified: 2017-12-11 20:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-11 20:33:57 UTC


Attachments (Terms of Use)

Description Zorro Lang 2017-11-07 07:35:17 UTC
Description of problem:
Report this bug to track the failure of xfs/289.

Version-Release number of selected component (if applicable):
RHEL-7.4
xfsprogs-4.5.0-13.el7

How reproducible:
100%

Steps to Reproduce:
1. get xfstests
2. ./check xfs/289

Actual results:
--- /dev/fd/63	2017-11-04 10:54:26.194094952 -0400
+++ results/xfs/289.out.bad	2017-11-04 10:54:13.004093997 -0400
@@ -2,13 +2,45 @@
 === mkfs.xfs ===
 === truncate ===
 === xfs_growfs - unmounted, command should be rejected ===
-xfs_growfs: TEST_DIR/tmpdir is not a mounted XFS filesystem
+meta-data=TEST_DEV              isize=256    agcount=4, agsize=7864320 blks
+         =                       sectsz=512   attr=2, projid32bit=1
+         =                       crc=0        finobt=0 spinodes=0
+data     =                       bsize=512    blocks=31457280, imaxpct=25
+         =                       sunit=0      swidth=0 blks
+naming   =version 2              bsize=4096   ascii-ci=0 ftype=1
+log      =internal               bsize=512    blocks=20480, version=2
+         =                       sectsz=512   sunit=0 blks, lazy-count=1
+realtime =none                   extsz=4096   blocks=0, rtextents=0
 === xfs_growfs - check relative path, unmounted ===
-xfs_growfs: ./tmpdir is not a mounted XFS filesystem
+meta-data=TEST_DEV              isize=256    agcount=4, agsize=7864320 blks
+         =                       sectsz=512   attr=2, projid32bit=1
+         =                       crc=0        finobt=0 spinodes=0
+data     =                       bsize=512    blocks=31457280, imaxpct=25
+         =                       sunit=0      swidth=0 blks
+naming   =version 2              bsize=4096   ascii-ci=0 ftype=1
+log      =internal               bsize=512    blocks=20480, version=2
+         =                       sectsz=512   sunit=0 blks, lazy-count=1
+realtime =none                   extsz=4096   blocks=0, rtextents=0
...
...


Expected results:
Test pass

Additional info:
I think it's fixed by upstream xfsprogs:
commit b97815a0321072a7154ecab63e297af84066fc78      
Author: Bill O'Donnell <billodo@redhat.com>          
Date:   Wed Jun 21 14:40:35 2017 -0500               

    xfs_growfs: ensure target path is an active xfs mountpoint

Comment 1 Eric Sandeen 2017-11-07 14:45:55 UTC
I'm not sure we should change this in rhel7.  It may have been reported once on rhel7, but changing it actually caused issues for some users and some applications.  It's probably best to leave the behavior as-is unless there is some compelling reason to change it in the middle of the release.

Comment 2 Eric Sandeen 2017-12-11 20:33:57 UTC
I'm going to WONTFIX this one.  Changing this behavior in the middle of RHEL7 is probably not a good idea, as some people may have come to depend on it.  We'll get the new behavior in RHEL8.


Note You need to log in before you can comment on or make changes to this bug.